org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.OnComplete

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.OnComplete
    extends Stage

A stage returning a stream containing all the elements from this stream, additionally performing the provided action when this stream completes.

The given action must be called when the stream completes successfully. Use `Stage.OnError` to handle failures, and `Stage.OnTerminate` if the action needs to be called for completion, error or cancellation.

Any `RuntimeException` thrown by this function must be propagated downstream as an error.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Runnable` `getAction()` The action to execute.

### Method Detail

#### getAction

    Runnable getAction()

The action to execute.

Returns:
  the action to execute.